image: alpine:latest
variables:
  packer_version: "1.4.3"
  packer_url: "https://releases.hashicorp.com/packer/${packer_version}/packer_${packer_version}_linux_amd64.zip"
  packer_template_name: centos.json
  package_list: "wget unzip open-vm-tools-openrc"
stages:
  - build

build image with packer:
  stage: build
  tags:
    - docker
  before_script:
    - apk add ${package_list}
    - wget ${packer_url} -O /tmp/packer.zip
    - unzip /tmp/packer.zip -d /usr/bin/
  script:
    - packer build -var "esxi_host=${PACKER_ESXI_HOST}" -var-file=variables.json "${packer_template_name}"
